Ideal.h File Reference
`#include <vector>`
`#include <algorithm>`
`#include <ostream>`

Go to the source code of this file.

## Classes

class | Ideal
| Represents a monomial ideal with int exponents. More...
class | Ideal::ExponentAllocator

## Functions

ostream & | operator<< (ostream &out, const Ideal &ideal)

## Function Documentation

## operator<<()

ostream & operator<< | ( | ostream & | out,
|  | const Ideal & | ideal )

inline

Definition at line 331 of file Ideal.h.